//v1.0
//Copyright 2006 Adobe Systems, Inc. All rights reserved.
function AC_AddExtension(src, ext)
{
  if (src.indexOf('?') != -1)
    return src.replace(/\?/, ext+'?'); 
  else
    return src + ext;
}

function AC_Generateobj(objAttrs, params, embedAttrs) 
{ 
  var str = '<object id="spa" ';
  for (var i in objAttrs)
    str += i + '="' + objAttrs[i] + '" ';
  str += '>';
  for (var i in params)
    str += '<param name="' + i + '" value="' + params[i] + '" /> ';
  str += '<embed id="spn" ';
  for (var i in embedAttrs)
    str += i + '="' + embedAttrs[i] + '" ';
  str += ' ></embed></object>';

  document.write(str);
}

function AC_FL_RunContent(){
  var ret = 
    AC_GetArgs
    (  arguments, ".swf", "movie", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
     , "application/x-shockwave-flash"
    );
  AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function AC_SW_RunContent(){
  var ret = 
    AC_GetArgs
    (  arguments, ".dcr", "src", "clsid:166B1BCA-3F9C-11CF-8075-444553540000"
     , null
    );
  AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function AC_GetArgs(args, ext, srcParamName, classid, mimeType){
  var ret = new Object();
  ret.embedAttrs = new Object();
  ret.params = new Object();
  ret.objAttrs = new Object();
  for (var i=0; i < args.length; i=i+2){
    var currArg = args[i].toLowerCase();    

    switch (currArg){	
      case "classid":
        break;
      case "pluginspage":
        ret.embedAttrs[args[i]] = args[i+1];
        break;
      case "src":
      case "movie":	
        args[i+1] = AC_AddExtension(args[i+1], ext);
        ret.embedAttrs["src"] = args[i+1];
        ret.params[srcParamName] = args[i+1];
        break;
      case "onafterupdate":
      case "onbeforeupdate":
      case "onblur":
      case "oncellchange":
      case "onclick":
      case "ondblClick":
      case "ondrag":
      case "ondragend":
      case "ondragenter":
      case "ondragleave":
      case "ondragover":
      case "ondrop":
      case "onfinish":
      case "onfocus":
      case "onhelp":
      case "onmousedown":
      case "onmouseup":
      case "onmouseover":
      case "onmousemove":
      case "onmouseout":
      case "onkeypress":
      case "onkeydown":
      case "onkeyup":
      case "onload":
      case "onlosecapture":
      case "onpropertychange":
      case "onreadystatechange":
      case "onrowsdelete":
      case "onrowenter":
      case "onrowexit":
      case "onrowsinserted":
      case "onstart":
      case "onscroll":
      case "onbeforeeditfocus":
      case "onactivate":
      case "onbeforedeactivate":
      case "ondeactivate":
      case "type":
      case "codebase":
        ret.objAttrs[args[i]] = args[i+1];
        break;
      case "flashvars":
        ret.params[args[i]] = "startpage=" + getParameter('startpage');
        ret.embedAttrs[args[i]] = ret.params[args[i]];
        break;
      case "width":
      case "height":
      case "align":
      case "vspace": 
      case "hspace":
      case "class":
      case "title":
      case "accesskey":
      case "name":
      case "id":
      case "tabindex":
        ret.embedAttrs[args[i]] = ret.objAttrs[args[i]] = args[i+1];
        break;
      default:
        ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i+1];
    }
  }
  ret.objAttrs["classid"] = classid;
  if (mimeType) ret.embedAttrs["type"] = mimeType;
  return ret;
}

function getParameter( strParamName )
{
	//  input : String, Parameter name from HTTP GET Paramemeter.
	// output : String, Parameter value which is parsed.
	
	var strParamValue = "";
    var objWin = this;
    
    try 
    {
        while ( objWin != null )
        {
    		var strThisURL = objWin.location.href;
    		
            if( -1 != strThisURL.indexOf( strParamName + "=",0 ) )
            {
        		var strParam = strThisURL.substring( strThisURL.indexOf(strParamName + "=",0), strThisURL.length );
        		if ( strParam == null || strParam == "" )		break;
        		var arrParam = strParam.split( "&" );
        		strParamValue = arrParam[0].substring( arrParam[0].indexOf(strParamName + "=",0)+strParamName.length+1, arrParam[0].length );
    	    }
      	    if ( objWin.parent==null || objWin==window.top ) 	break;
    	    else objWin = objWin.parent;
        }
    } 
    catch (e) 
    {
    	alert( "Parameter parsing failure.\nPlease check the frameset of HTML." );
    }
    return strParamValue;
}

function showHelp () {
	var helpWin = window.open('help.html', 'livebookhelp', 'width=404,height=420,scrollbars=yes');
	if (helpWin != null)
		helpWin.focus();
}

var bodyOrgW;
var bodyOrgH;
var bodyMaxW;
var bodyMaxH;
var bookOrgW;
var bookOrgH;

function originalWindow () {

	var winsOrgW = bodyMaxW - bodyOrgW;
	var winsOrgH = bodyMaxH - bodyOrgH;

	resizeBy(-winsOrgW, -winsOrgH);
	moveBy(winsOrgW / 2, winsOrgH / 2);

	var bzName = window.navigator.appName;
	var osName = window.navigator.platform;

	if (0 <= bzName.indexOf('Microsoft Internet Explorer')) {
		if (0 <= osName.indexOf('Win')) {
			document.getElementById('spa').width = bookOrgW;
			document.getElementById('spa').height = bookOrgH;
		} else {
			document.getElementById('spn').width = bookOrgW;
			document.getElementById('spn').height = bookOrgH;
		}
	} else {
		document.getElementById('spn').width = bookOrgW;
		document.getElementById('spn').height = bookOrgH;
	}
}

function maximumWindow () {
	var bzName = window.navigator.appName;
	var osName = window.navigator.platform;

	if (0 <= bzName.indexOf('Microsoft Internet Explorer')) {
		if (0 <= osName.indexOf('Win')) {
			bodyOrgW = document.body.clientWidth;
			bodyOrgH = document.body.clientHeight;
		} else {
			bodyOrgW = window.innerWidth;
			bodyOrgH = window.innerHeight;
		}
	} else {
		bodyOrgW = window.innerWidth;
		bodyOrgH = window.innerHeight;
	}

	moveTo(0,0);
	resizeTo(screen.width, screen.height);

	if (0 <= bzName.indexOf('Microsoft Internet Explorer')) {
		if (0 <= osName.indexOf('Win')) {
			bodyMaxW = document.body.clientWidth;
			bodyMaxH = document.body.clientHeight;
		} else {
			bodyMaxW = window.innerWidth;
			bodyMaxH = window.innerHeight;
		}
	} else {
		bodyMaxW = window.innerWidth;
		bodyMaxH = window.innerHeight;
	}

	if (0 <= bzName.indexOf('Microsoft Internet Explorer')) {
		if (0 <= osName.indexOf('Win')) {
			bookOrgW = document.getElementById('spa').width;
			bookOrgH = document.getElementById('spa').height;
			document.getElementById('spa').width = bodyMaxW;
			document.getElementById('spa').height = bodyMaxH;
		} else {
			bookOrgW = document.getElementById('spn').width;
			bookOrgH = document.getElementById('spn').height;
			document.getElementById('spn').width = bodyMaxW;
			document.getElementById('spn').height = bodyMaxH;
		}
	} else {
		bookOrgW = document.getElementById('spn').width;
		bookOrgH = document.getElementById('spn').height;
		document.getElementById('spn').width = bodyMaxW;
		document.getElementById('spn').height = bodyMaxH;
	}
}
